<include file="public@header"/>
</head>
<body>
<div class="wrap js-check-wrap">
    <ul class="nav nav-tabs">
        <li class="active"><a href="{:url('AdminPage/index')}">{:lang('PAGE_MANAGEMENT')}</a></li>
        <li><a href="{:url('AdminPage/add')}">{:lang('ADD_PAGE')}</a></li>
    </ul>
    <form class="well form-inline margin-top-20" method="post" action="{:url('AdminPage/index')}">
        {:lang('TITLE')}:
        <input type="text" class="form-control" name="keyword" style="width: 200px;"
               value="{$keyword|default=''}" placeholder="{:lang('PLEASE_ENTER_KEYWORD')}">
        <button class="btn btn-primary">{:lang('SEARCH')}</button>
    </form>
    <form class="js-ajax-form" method="post">
        <div class="table-actions">
            <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('AdminPage/delete')}"
                    data-subcheck="true" data-msg="{:lang('DELETE_CONFIRM_MESSAGE')}">{:lang('DELETE')}
            </button>
            
             <button class="btn btn-primary btn-sm js-ajax-submit" type="submit" data-action="{:url('AdminPage/listOrder')}">{:lang('SORT')}</button>
        </div>
        <table class="table table-hover table-bordered table-list">
            <thead>
            <tr>
                <th width="16">
                    <label>
                        <input type="checkbox" class="js-check-all" data-direction="x" data-checklist="js-check-x">
                    </label>
                </th>
                <th>{:lang('SORT')}</th>
                <th width="100">ID</th>
                <th>{:lang('CHINESE_TITLE')}</th>
                <th>{:lang('ENGLISH_TITLE')}</th>
                <th>{:lang('TYPE')}</th>
                <th>{:lang('LINK')}</th>
                <th width="80">{:lang('AUTHOR')}</th>
                <th width="160">{:lang('ADD_TIME')}</th>
                <th width="160">{:lang('MODIFY_TIME')}</th>
                <th width="120">{:lang('ACTIONS')}</th>
            </tr>
            </thead>
            <php>$type=array('0'=>'{:lang("SINGLE_PAGE")}','2'=>'{:lang("USER_CENTER_DISPLAY")}');</php>
            <foreach name="pages" item="vo">
                <tr>
                    <td>
                        <if condition="$vo['id'] gt 45">
                        <input type="checkbox" class="js-check" data-yid="js-check-y" data-xid="js-check-x" name="ids[]"
                               value="{$vo.id}">
                        </if>
                    </td>
                    <td><input name="list_orders[{$vo.id}]" class="input-order" type="text" value="{$vo.list_order}"></td>
                    <td>{$vo.id}</td>
                    <td>{$vo.post_title}</td>
                    <td>{$vo.post_title_en}</td>
                    <td>{$type[$vo['type']]}</td>
                    <td>{:get_upload_path('/portal/page/index?id='.$vo['id'])}</td>
                    <td>{$vo.user_nickname}</td>
                    <td>
                            {:date('Y-m-d H:i',$vo['create_time'])}

                    </td>

                    <td>
                        <if condition="$vo['update_time'] gt 0">
                        {:date('Y-m-d H:i',$vo['update_time'])}
                        <else />
                            --
                        </if>
                    </td>

                    <td>
                        <a class="btn btn-xs btn-primary" href="{:url('AdminPage/edit',array('id'=>$vo['id']))}">{:lang('EDIT')}</a>
                        <if condition="$vo['id'] gt 45">
                        <a class="btn btn-xs btn-danger js-ajax-delete" href="{:url('AdminPage/delete',array('id'=>$vo['id']))}">{:lang('DELETE')}</a>
                        </if>
                    </td>
                </tr>
            </foreach>
            <tfoot>
            <tr>
                <th width="16">
                    <label>
                        <input type="checkbox" class="js-check-all" data-direction="x" data-checklist="js-check-x">
                    </label>
                </th>
                <th>{:lang('SORT')}</th>
                <th width="100">ID</th>
                <th>{:lang('TITLE')}</th>
                <th>{:lang('LINK')}</th>
                <th width="80">{:lang('AUTHOR')}</th>
                <th width="160">{:lang('ADD_TIME')}</th>
                <th width="160">{:lang('MODIFY_TIME')}</th>
                <th width="120">{:lang('ACTIONS')}</th>
            </tr>
            </tfoot>
        </table>
        <div class="table-actions">
            <button class="btn btn-danger btn-sm js-ajax-submit" type="submit" data-action="{:url('AdminPage/delete')}"
                    data-subcheck="true" data-msg="{:lang('CONFIRM_DELETE')}">{:lang('DELETE')}
            </button>
            <button class="btn btn-primary btn-sm js-ajax-submit" type="submit" data-action="{:url('AdminPage/listOrder')}">{:lang('SORT')}</button>
        </div>
        <div class="pagination">{$page}</div>
    </form>
</div>
<script src="__STATIC__/js/admin.js"></script>
</body>
</html>